package com.lz.modules.luck.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.luck.entity.LuckGoods;

import java.util.List;

/**
* <p>
* 奖品表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-21
*/
public interface LuckGoodsService extends IService<LuckGoods> {



	LuckGoods selectLuckGoodsById(Long id);


	Long insertLuckGoods(LuckGoods luckGoods);


	int updateLuckGoodsById(LuckGoods luckGoods);


	int updateCoverLuckGoodsById(LuckGoods luckGoods);


	int deleteLuckGoodsById(Long id);


    List<LuckGoods> getByLuckId(Long luckId);

    //获取奖品总数
    int selectNumGoodLuckRecordByLuckId(Long luckId);

	List<LuckGoods> getNoFinishByLuckId(Long luckId);
}